classification
Title: A possible crash in structseq.c's structseq_repr()
Type: crash Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, iritkatriel, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-03-22 04:18 by ZackerySpytz, last changed 2020-10-18 09:36 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12492 merged ZackerySpytz, 2019-03-22 04:21
Messages (3)
msg338584 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2019-03-22 04:18
If the first PyUnicode_DecodeUTF8() call fails in structseq_repr(), _PyUnicodeWriter_Dealloc() will be called on an uninitialized _PyUnicodeWriter.
msg338586 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-22 07:24
New changeset 93e8012f2cabd84f30b52e19fd3dc557efa9f8af by Serhiy Storchaka (Zackery Spytz) in branch 'master':
bpo-36398: Fix a possible crash in structseq_repr(). (GH-12492)
https://github.com/python/cpython/commit/93e8012f2cabd84f30b52e19fd3dc557efa9f8af
msg378768 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-10-16 22:17
Can this be closed?
History
Date User Action Args
2020-10-18 09:36:28serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-16 22:17:40iritkatrielsetnosy: + iritkatriel
messages: + msg378768
2019-03-22 07:24:38serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg338586
2019-03-22 04:21:43ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12445
2019-03-22 04:18:26ZackerySpytzcreate